/* 共通＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝ */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    list-style-type: none;
    text-decoration: none;
}

body {
    width: 100%;
    font-size: 16px;
    font-family: "Roboto", "Zen Kaku Gothic New", sans-serif;
    overflow-x: hidden;
}

img {
    max-width: 100%;
    height: auto;
    vertical-align: bottom;
    padding: 0;
}

h {
    font-family: "Archivo Black", "Zen Kaku Gothic New", sans-serif;
}

h1 {
    width: 100%;
    font-size: clamp(4rem, 2.286rem + 8.57vw, 10rem);
    margin-bottom: 5%;
}

h2 {
    font-size: clamp(4rem, 3.429rem + 2.86vw, 6rem);
    margin: 0.5em;
}

h3 {
    font-size: clamp(2rem, 1.429rem + 2.86vw, 4rem);
    margin: 22px auto;
    color: #289f7f;
}

h4 {
    font-size: clamp(1rem, 0.429rem + 2.86vw, 3rem);
    margin: 19px auto;
    padding: 4px 15px;
    display: inline-block;
    background-color: #289f7f;
    color: #1e1e1e;
    border-radius: 10px;
}

h5 {
    font-size: clamp(1rem, 0.429rem + 2.86vw, 3rem);
    color: #1e1e1e;
    padding: 1em;
}

a{
    
}

/* header＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝ */
nav ul {
    position: fixed;
    top: 0;
    right: -100%;
    width: 100%;
    height: 100%;
    background: #cdcdcd;
    z-index: 9999;
    transition: right 0.4s ease;
}

/* .openbtn.activeクラスが追加されたときのスタイル */
nav ul.active {
    right: 0;
    /* 右からスライドイン */
}

nav li {
    font-weight: bold;
    text-align: left;
    margin: 30px 30px;
}

nav ul a {
    color: #1e1e1e;
    font-size: clamp(2rem, 0.571rem + 7.14vw, 7rem);
}

nav ul a::before {
    content: "\03e";
}

/*==================================================
　5-2-6 3本線が回転して×に
===================================*/
/*ボタン外側※レイアウトによってpositionや形状は適宜変更してください*/
.openbtn {
    position: fixed;
    z-index: 10000;
    top: 0;
    right: 0;
    background: #289f7f;
    cursor: pointer;
    width: 4em;
    height: 4em;
    margin: 13px;
}

/*ボタン内側*/
.openbtn span {
    display: inline-block;
    transition: all .4s;
    position: absolute;
    left: 14px;
    height: 3px;
    border-radius: 2px;
    background: #f1efe5;
}

.openbtn span:nth-of-type(1) {
    top: 10px;
    width: 60%;
    height: 10%;
    border-radius: 10px;
}

.openbtn span:nth-of-type(2) {
    top: 28px;
    width: 60%;
    height: 10%;
    border-radius: 10px;
}

.openbtn span:nth-of-type(3) {
    top: 46px;
    width: 60%;
    height: 10%;
    border-radius: 10px;
}

/*activeクラスが付与されると線が回転して×になる*/
.openbtn.active span:nth-of-type(1) {
    top: 25px;
    left: 14px;
    transform: translateY(6px) rotate(-135deg);
    width: 60%;
}

.openbtn.active span:nth-of-type(2) {
    opacity: 0;
}

.openbtn.active span:nth-of-type(3) {
    top: 37px;
    left: 14px;
    transform: translateY(-6px) rotate(135deg);
    width: 60%;
}

/* TOP＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝ */
.top {
    width: 100%;
    height: auto;
    background-color: #1e1e1e;
    position: relative;
}

.top-pic {
    width: 100%;
    height: 211vw;
    overflow: hidden;
    line-height: 0;
    text-align: center;
    padding-top: 5%;
}

.top-pic img {
    width: 80%;
    height: 59%;
}

.top-pic img {
    animation: fadeIn 2s cubic-bezier(0.4, 0, 1, 1) forwards;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.svg01 {
    position: absolute;
    z-index: 1;
    top: 210.8vw;
    display: block;
    width: 100%;
    height: 246px;
}

.shape-fill {
    fill: #1e1e1e;
}

/* スクロールアニメーション＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝ */
* {
  margin: 0;
  padding: 0;
}
html {
  scroll-behavior: smooth;
}
.scroll_down {
  /* position: relative; */
  /* width: 100%; */
  /* height: 100vh; */
  /* background-position: 50% 50%; */
  /* background-repeat: no-repeat; */
  /* background-size: cover; */
}

.scroll_down:after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 80%;
  background: linear-gradient(180deg,rgba(#1e1e1e, 0) 0, rgba(#1e1e1e, .8) 80%, rgba(#1e1e1e, .8) 100%);
  }

.scroll_down a {
  display: inline-block;
  position: absolute;
  right: 6px;
  bottom: 0;
  /* left: 0; */
  z-index: 2;
  width: 13px;
  padding: 10px 16px 110px;
  color: #f1efe5;
  font-size: 14px;
  line-height: 1;
  letter-spacing: .2em;
  text-transform: uppercase;
  text-decoration: none;
  writing-mode: vertical-lr;
  transition: .2s;
  overflow: hidden;
  margin: auto;
}

.scroll_down a:before {
  content: '';
  position: absolute;
  bottom: 0;
  left: 50%;
  width: 2px;
  height: 100px;
  background: #1e1e1e;
}

.scroll_down a:after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 50%;
  width: 2px;
  height: 100px;
  background: #f1efe5;
}

.scroll_down a:hover {
  opacity: .5;
}

#type01 a:after {
  animation: sdl01 1.5s cubic-bezier(1, 0, 0, 1) infinite;
}

@keyframes sdl01 {
  0% {
    transform: scale(1, 0);
    transform-origin: 0 0;
  }
  50% {
    transform: scale(1, 1);
    transform-origin: 0 0;
  }
  50.1% {
    transform: scale(1, 1);
    transform-origin: 0 100%;
  }
  100% {
    transform: scale(1, 0);
    transform-origin: 0 100%;
  }
}


/* ABOUT＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝ */
.about {
    width: 100%;
    height: 100%;
    padding: 23vw 0;
    background-color: #f1efe5;
    position: relative;
    text-align: center;
    padding-top: 33em;
}

.svg02 {
    position: absolute;
    z-index: 1;
    bottom: -14.3em;
    display: block;
    width: 100%;
    height: 246px;
}

.shape-fill-2 {
    fill: #f1efe5;
}

/* ME＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝ */
.me {
    text-align: center;
    margin-bottom: 16em;
}

.me img {
    width: 60%;
}

/* PROFILE＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝ */
.profile {
    width: 80%;
    margin: auto;
}

.profile p {
    font-size: clamp(1rem, 0.429rem + 2.86vw, 3rem);
    line-height: 2.2em;
}

.profile p:nth-of-type(1) {
    font-weight: bold;
}

/* SKILL＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝ */
.skill {
    margin-top: 6em;
    text-align: center;
}

.skill-box {
    background-color: #1e1e1e;
    width: 80%;
    height: auto;
    margin: 10px auto;
    padding: 54px 57px;
    border-radius: 20px;
    opacity: 0;
    /* 初期状態で非表示 */
    transition: opacity 0.5s ease-in-out;
    /* フェードインのトランジション */
}

.skill-box.visible {
    opacity: 1;
    /* フェードインする状態 */
}

.skill-box img {
    width: 22%;
    margin-bottom: 30px;
}

.skill-box p {
    font-size: clamp(1rem, 0.429rem + 2.86vw, 3rem);
    line-height: normal;
    color: #f1efe5;
}

/* GALLERY＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝ */
.gallery {
    text-align: center;
    background-color: #1e1e1e;
    padding-top: 20em;
    margin-top: -1em;
    position: relative;
    width: 100%;
    height: 100%;
}

.picture-board {
    padding: 3em 0;
}

.pin {
    position: absolute;
    right: 0;
    left: 0;
    top: -3em;
    margin: auto;
    width: 6em;
}

.picture {
    background-image: url(../image/paper.jpg);
    width: 90%;
    margin: 10em auto;
    padding-top: 5em;
    position: relative;
    border-radius: 10px;
}

.btn {
    width: 44%;
    margin: auto;
    text-align: center;
    position: absolute;
    z-index: 1;
    top: 97.5%;
    left: 28%;
}

.btn a {
    display: block;
    font-size: clamp(1rem, 0.429rem + 2.86vw, 3rem);
    margin: auto;
    width: 100%;
    height: 100%;
    padding: 1em;
    text-decoration: none;
    background: #289f7f;
    color: #f1efe5;
    font-weight: bold;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    transition: all 0.3s;
}

.svg03 {
    position: absolute;
    z-index: 1;
    display: block;
    width: 100%;
    height: 246px;
    bottom: -15.3em;
}

/* CONTACT＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝ */
.contact {
    text-align: center;
    background-color: #f1efe5;
    padding: 13em 0;
}

.form {
    max-width: 80%;
    margin: 50px auto;
}

.feedback-input {
    color: #1e1e1e;
    font-size: clamp(1rem, 0.429rem + 2.86vw, 3rem);
    font-weight: 500;
    border-radius: 5px;
    line-height: 1em;
    background-color: transparent;
    border: 2px solid #289f7f;
    transition: all 0.3s;
    padding: 13px;
    margin-bottom: 15px;
    width: 100%;
    outline: 0;
}

.feedback-input:focus {
    border: 2px solid #ff8686;
}

textarea.feedback-input {
    height: 10em;
    resize: vertical;
}

[type="submit"] {
    display: block;
    width: 100%;
    height: 3em;
    background: #289f7f;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border: 0;
    cursor: pointer;
    color: white;
    font-size: clamp(1rem, 0.429rem + 2.86vw, 3rem);
    transition: all 0.3s;
    margin-top: -4px;
    font-weight: bold;
}

/* FOOTER＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝ */
footer {
    width: 100%;
    text-align: center;
    background-color: #1e1e1e;
    color: #f1efe5;
    font-size: clamp(1rem, 0.714rem + 1.43vw, 2rem);
}

/*========= LoadingのためのCSS ===============*/
/* Loading背景画面設定　*/
#splash {
    /*fixedで全面に固定*/
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 99999;
    text-align: center;
    color: #fff;
}

/* Loading画像中央配置　*/
#splash_text {
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 999999;
    transform: translate(-50%, -50%);
    color: #fff;
    width: 100%;
}

/*割れる画面のアニメーション*/
.loader_cover {
    width: 100%;
    height: 50%;
    background-color: #333;
    transition: all .2s cubic-bezier(.04, .435, .315, .9);
    transform: scaleY(1);
}

/*上の画面*/
.loader_cover-up {
    transform-origin: center top;
}

/*下の画面*/
.loader_cover-down {
    position: absolute;
    bottom: 0;
    transform-origin: center bottom;
}

/*クラス名がついたらY軸方向に0*/
.coveranime {
    transform: scaleY(0);
}

/* メディアクエリ＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝ */
/* タブレット用 */
@media (min-width: 786px) {
    * {
        font-size: 8px;
    }

    .openbtn{
        width: 8em;
        height: 8em;
    }
    .top-pic {
        height: 95vw;
    }

    .top-pic img {
        width: 41%;
        margin-top: 22em;
    }

    .svg01 {
        top: 94.8vw;
    }

    #scrollDown {
        bottom: 3em;
    }

    .me {
        display: flex;
    }

    .me img {
        width: 30%;
        margin-left: 2em;
    }

    .profile {
        margin: auto 27px;
        text-align: left;
    }

    h2 {
        margin-left: 0;
    }

    .skill {
        display: flex;
        width: 100%;
        margin: 3%;
        flex-wrap: wrap;
        align-items: center;
    }

    .skill-box {
        margin: 0;
        width: 30%;
        height: 85em;
        padding: 22px;
        margin: 9px;
    }

    .skill-box img {
        margin: 10px 0;
    }

    .svg02 {
        bottom: -29.6em;
    }

    .picture-board {
        display: flex;
        flex-wrap: wrap;
    }

    .picture {
        width: 32%;
        margin-top: 0em;
    }

    .gallery {
        padding: 33em 0;
    }

    .contact {
        padding-top: 33em;
    }

    .svg03 {
        bottom: -30.6em;
    }

    .btn {
        top: 89.2%;
    }
}

/* ノートパソコン、小型PC用 */
@media (min-width: 1025px) and (max-width: 1280px) {
    .top-pic {
        height: 50vw;
    }

    .top-pic img {
        width: 41%;
        margin-top: 10em;
    }

    .svg01 {
        top: 49.9vw;
    }

    #scrollDown {
        bottom: 3em;
    }
}

/* デスクトップPC用 */
@media screen and (min-width: 1281px) {
    .top-pic {
        margin-top: -22em;
        height: 170em;
    }

    .svg01 {
        top: 170em;
    }

    #scrollDown svg{
    position: absolute;
    bottom: 24em;
    margin: auto;
    }
}
